#!/bin/sh
appDir="/boot/apps/SimpleBackup"
settingsDir="/boot/home/config/settings/SimpleBackup"
linkDir="/boot/home/config/be/Applications"

#Confirmation to install
alert --warning --modal "Are you sure you want to uninstall SimpleBackup?" "No" "Yes"
if [ $? -eq 0 ]; then
  exit
fi

#Move application directory to trash
mv -b $appDir /boot/home/Desktop/Trash
if [ $? -ne 0 ]; then
  alert --stop --modal "There was a problem when trying to move '$appDir' to the Trash"
  exit
fi

#Move settings to trash
mkdir /boot/home/Desktop/Trash/SimpleBackup/settings
mv $settingsDir /boot/home/Desktop/Trash/SimpleBackup/settings

#Delete link to SimpleBackup in the Applications menu
rm $linkDir/SimpleBackup

#Notification to user
alert --modal "SimpleBackup application and settings files have been moved to the Trash." "OK"&
